@import "../../scss/_variables.scss";

@mixin flex-centered {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@mixin bg-img-settings {
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
} 

.stockHorizontal1 {
  @include flex-centered;
  overflow: hidden;
  height: 133px;
  background-color: #e8edf7;
  &__img1 {
    background-image: url("../img/stocks/2.png");
    transform: scale(1.2);
    width: 30%;
    height: inherit;
    @include bg-img-settings;
  }
  &__img2 {
    background-image: url("../img/stocks/3.png");
    transform: scaleX(-1);
    width: 30%;
    height: inherit;
    @include bg-img-settings;
  }
  &__text {
    font-size: 1rem;
    &--2 {
      letter-spacing: 0.1rem;
      font-weight: bolder;
      font-size: 0.8rem;
    }
  }
}

.stockPrice {
  color: $primary-color;
  font-weight: bold;
  font-size: 2rem ;
}

.stockHorizontal2 {
  @include flex-centered;
  height: 133px;
  background-color: #fbf3f7;
  &__img {
    background-image: url("../img/stocks/4.png");
    transform: scaleX(-1);
    width: 206px;
    height: 100%;
    @include bg-img-settings;
  }
  &__text-container {
    font-size: 1.2rem;
    flex-grow: 1;
    text-align: center;
    .title {
      color: $primary-color;
    }
  }
  &__text--2 {
    font-size: 0.8rem;
  }
}

.stockHorizontal2__text {
  margin-bottom: 0;
}

.stock-big {
  @include bg-img-settings;
  background-size: cover;
  height: 420px;
  position: relative;
  background-image: url("../img/stocks/1.jpg");
  &__overlay {
    position: absolute;
    width: 490px;
    height: 355px;
    background-color: rgba(0, 0, 0, 0.26);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    padding: 10px;
  }
  &__text-container {
    position: absolute;
    bottom: 20px;
    left: 20px;
    line-height: 1;
  }
  &__first-text-line {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 2rem;
  }
  &__second-text-line {
    font-size: 3rem;
  }
  &__discont-value {
    font-size: 3rem;
    border: 4px solid white;
    display: inline-block;
    padding: 5px 10px;
    font-weight: bold;    
  }
}

@media only screen and (min-width:768px) {
  .stockHorizontal1{
    height: 195px;
    &__img1 {
      width: 163px;
    }
    &__img2 {
      width: 168px;
    }
  }

  .stockHorizontal2 {
    height: 195px;
    &__img {
      width: 275px;
    }
  }
}

@media screen and (min-width: 768px) {
  .stockHorizontal1 {
    &__text {
      font-size: 1.5rem;
    }
  }
}